Bug 879335 - 3.2 - [vdsm] [bootstrapping] Use 'yum clean expire-cache' instead of 'yum clean all'
3.2 - [vdsm] [bootstrapping] Use 'yum clean expire-cache' instead of 'yum cle...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Alon Bar-Lev
Tareq Alayan
infra
: ZStream
Depends On:
Blocks: 882554
  Show dependency treegraph
 
Reported: 2012-11-22 11:04 EST by Haim
Modified: 2016-02-10 14:40 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-7.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 882554 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-11-22 11:04:26 EST
Description of problem:

It's observed that cleaning all yum caches could cause a ssh timeout
during host installation. 'yum clean expire-cache' is much more light
weight and 'yum clean all'. If the cache is still valid, nothing
significant will be deleted.
Comment 1 Alon Bar-Lev 2012-11-22 11:09:38 EST
http://gerrit.ovirt.org/8206
Comment 6 Alon Bar-Lev 2012-12-01 15:01:13 EST
3.1 backport

commit c82777235bce5669d5f07e1619919215bccfe63e
Author: Mark Wu <wudxw@linux.vnet.ibm.com>
Date:   Wed Sep 26 14:42:55 2012 +0800

    Use 'yum clean expire-cache' instead of 'yum clean all'
    
    It's observed that cleaning all yum caches could cause a ssh timeout
    during host installation. 'yum clean expire-cache' is much more light
    weight and 'yum clean all'. If the cache is still valid, nothing
    significant will be deleted.
    
    This idea is taken from Greg Padgett.
    
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=879335
    Change-Id: I1019690e4a27caeff923655f9562892ce7f909af
    Signed-off-by: Mark Wu <wudxw@linux.vnet.ibm.com>
    Reviewed-on: http://gerrit.ovirt.org/8206
    Reviewed-by: Douglas Schilling Landgraf <dougsland@redhat.com>
    Reviewed-by: Dan Kenigsberg <danken@redhat.com>

https://gerrit.eng.lab.tlv.redhat.com/#/c/3534/
Comment 8 Alon Bar-Lev 2013-03-21 12:35:10 EDT
This bug cannot be tested as the addition of miniyum (bug#861575) removed the use of explicit yum clean command.

I am sorry that I did not raise it earlier, the log file I got make me remember.

But, the miniyum implementation does use clean expire cache, we can see this from the log, as the metadata is fetched:

---
Thu, 21 Mar 2013 04:57:51 DEBUG    vds_bootstrap 110 MiniYum: VERB:  queue package qemu-kvm-tools for install
Thu, 21 Mar 2013 04:57:52 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdVwlK2Utmp.xml (0%)
Thu, 21 Mar 2013 04:57:52 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdVwlK2Utmp.xml 1.4 k(100%)
Thu, 21 Mar 2013 04:57:52 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdDAYfxUtmp.xml (0%)
Thu, 21 Mar 2013 04:57:52 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdDAYfxUtmp.xml 1.3 k(100%)
Thu, 21 Mar 2013 04:57:53 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdJiqslwtmp.xml (0%)
Thu, 21 Mar 2013 04:57:53 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdJiqslwtmp.xml 3.9 k(100%)
Thu, 21 Mar 2013 04:57:53 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdMqRu2Itmp.xml (0%)
Thu, 21 Mar 2013 04:57:53 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdMqRu2Itmp.xml 3.7 k(100%)
Thu, 21 Mar 2013 04:57:54 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdLjGYsDtmp.xml (0%)
Thu, 21 Mar 2013 04:57:54 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdLjGYsDtmp.xml 1.6 k(100%)
Thu, 21 Mar 2013 04:57:55 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdiBPJDrtmp.xml (0%)
Thu, 21 Mar 2013 04:57:55 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdiBPJDrtmp.xml 1.8 k(100%)
Thu, 21 Mar 2013 04:57:56 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdIFw92rtmp.xml (0%)
Thu, 21 Mar 2013 04:57:56 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdIFw92rtmp.xml 1.6 k(100%)
Thu, 21 Mar 2013 04:57:56 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomduZBIc_tmp.xml (0%)
Thu, 21 Mar 2013 04:57:56 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomduZBIc_tmp.xml 1.8 k(100%)
Thu, 21 Mar 2013 04:57:57 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdDS9j5Mtmp.xml (0%)
Thu, 21 Mar 2013 04:57:57 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdDS9j5Mtmp.xml 1.8 k(100%)
Thu, 21 Mar 2013 04:57:57 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdeoZaQctmp.xml (0%)
Thu, 21 Mar 2013 04:57:57 DEBUG    vds_bootstrap 110 MiniYum: VERB:  Downloading: repomdeoZaQctmp.xml 1.3 k(100%)
Comment 9 Tareq Alayan 2013-03-24 06:23:12 EDT
verified per comment 8
Comment 10 Itamar Heim 2013-06-11 05:35:31 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 05:35:33 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 05:50:55 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.